## trunk?format=zip&rev=2770

=== server/fedora/Makefile ===
# Makefile for building scripts.mit.edu Fedora packages
# Copyright (C) 2006  Jeff Arnold <jbarnold@mit.edu>
#                and  Joe Presbrey <presbrey@mit.edu>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
#
# See /COPYRIGHT in this repository for more information.

upstream_yum	= krb5 krb5.i686 httpd openssh libgsasl openssl openssl.i686 389-ds-base
hackage		= cgi-3001.1.8.5 unix-handle-0.0.0
upstream_hackage = ghc-cgi ghc-unix-handle
gems		= pony:1.8 fcgi:0.9.2.1
upstream_gems	= rubygem-pony rubygem-fcgi
upstream_eggs   = python-authkit
upstream	= openafs $(upstream_yum) $(upstream_hackage) $(upstream_gems) $(upstream_eggs) moira zephyr zephyr.i686 python-zephyr python-afs python-moira python-hesiod athena-aclocal discuss
oursrc		= execsys tokensys accountadm httpdmods logview sql-signup nss_nonlocal nss_nonlocal.i686 whoisd athrun php_scripts scripts-wizard scripts-base scripts-static-cat fuse-better-mousetrapfs scripts-munin-plugins
allsrc		= $(upstream) $(oursrc)
oursrcdir	= ${PWD}/../common/oursrc
patches		= ${PWD}/../common/patches
specs		= ${PWD}/specs

topdir		= ${HOME}/rpmbuild
tmp_build	= $(topdir)/BUILD
tmp_specs	= $(topdir)/SPECS
tmp_src		= $(topdir)/SOURCES
out_rpms	= $(topdir)/RPMS
out_srpms	= $(topdir)/SRPMS
out_sbin	= $(topdir)/sbin

dload		= ${PWD}/.dload
openafs_url	= "https://www.openafs.org/dl/openafs/1.6.16/openafs-1.6.16-1.src.rpm"
#zephyr_url	= "http://zephyr.1ts.org/files/zephyr-3.0.2.tar.gz"

PKG		= $(patsubst %.i686,%,$@)

.PHONY: minimal-clean

info:
	@echo "The following packages are available:"
	@echo "$(allsrc)"
	@echo "Run 'make all' to build all packages."

minimal-clean:
	rm -rf $(topdir) $(dload)

clean: minimal-clean
	rm -rf $(out_rpms) $(out_srpms) $(out_sbin)
	rm -f download_stamp

mkdir-tree:
	rpmdev-setuptree
	mkdir -p $(out_sbin)
	ln -sTf $(topdir) rpmbuild

download: download_stamp
download_stamp:
	mkdir -p $(dload)
	cd $(dload) && yumdownloader --disablerepo=scripts --source $(upstream_yum)
	wget -P $(dload) $(openafs_url)
	#wget -P $(dload) $(zephyr_url)
	cd $(tmp_src) && wget -nd -r -l1 -np -A.orig.tar.gz https://debathena.mit.edu/apt/pool/debathena/d/debathena-moira/
	cabal update
	cabal fetch --no-dependencies $(hackage)
	cp -a $(hackage:%=~/.cabal/packages/*/*/*/%.tar.gz) $(tmp_src)
	$(foreach gem, $(gems), gem fetch $(firstword $(subst :, ,$(gem))) -v $(lastword $(subst :, ,$(gem)));)
	spectool -g -R $(specs)/zephyr.spec
	spectool -g -R $(specs)/python-zephyr.spec
	spectool -g -R $(specs)/python-afs.spec
	spectool -g -R $(specs)/python-moira.spec
	spectool -g -R $(specs)/python-hesiod.spec
	spectool -g -R $(specs)/python-authkit.spec
	touch download_stamp

	cd $(tmp_src) && wget -nd -r -l1 -np -A.tar.gz https://debathena.mit.edu/apt/pool/debathena/d/debathena-aclocal/
	cd $(tmp_src) && wget -nd -r -l1 -np -A.orig.tar.gz https://debathena.mit.edu/apt/pool/debathena/d/debathena-discuss/
	cp $(oursrcdir)/discuss/* $(tmp_src)

copy-patches: mkdir-tree
	cp $(patches)/*.patch $(tmp_src)

install-srpms: mkdir-tree download
	rpm $(rpm_args) -i $(dload)/*.src.rpm 2>/dev/null

copy-specs: mkdir-tree
	cp ${specs}/*.spec $(tmp_specs)

# Remove old .orig files so we're not misled
patch-specs: install-srpms
	@set -ex; \
	cd ${tmp_specs}; \
	list=`ls ${specs}/*.spec.patch`; \
	rm -f *.orig; \
	rm -f *.spec.~*~; \
	for i in $$list; do \
		patch -bV numbered < $$i; \
	done; \
	list2=`svn ls ${oursrcdir}`; \
	for i in $$list2; do \
		base=`basename $$i`; \
		[ -e ${tmp_specs}/$$base.spec ] || continue; \
		version=`svnversion ${oursrcdir}/$$i`; \
		version=$${version//:/_}; \
		echo "$$i version $$version"; \
		sed --in-place \
			-e "s/SVNVERSION_TO_UPDATE/$${version}/" \
		${tmp_specs}/$$base.spec; \
	done

# 1. use the package's Makefile to delete leftover files and run autoconf
# 2. create a tarball (we want it to contain the autoconf output)
tarballs: mkdir-tree
	@set -ex; \
	cd ${oursrcdir}; \
	list=`find -mindepth 1 -maxdepth 1 -type d | grep -v ".svn"`; \
	for i in $$list; do \
		pushd $$i; \
		if [ -x ./mrproper ]; then \
			./mrproper; \
			if [ -e configure.in ] || [ -e configure.ac ]; then \
				autoconf; \
			fi; \
		fi; \
		popd; \
		tar -czf $(tmp_src)/$$i.tar.gz $$i; \
	done

#setup: install-srpms copy-patches copy-specs patch-specs tarballs
setup: copy-patches copy-specs patch-specs tarballs

oursrc:
	make $(oursrc)

upstream: mkdir-tree download
	make $(upstream)

all:
	make $(allsrc)

$(oursrc): rpmbuild_args += --define 'scriptsversion $(shell svnversion ${oursrcdir}/$** | tr ':' '_' | sed -e 's/-.*/0.uncommitted/')'

$(filter %.i686,$(oursrc)): %.i686: setup
	PATH="/usr/kerberos/sbin:/usr/kerberos/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin" \
	rpmbuild ${rpmbuild_args} -bs ${tmp_specs}/${PKG}.spec
	/usr/bin/mock -r scripts-fc20-i386 --arch=i686 ${rpmbuild_args} --define="_lib lib" -v --rebuild `ls -t ${out_srpms}/${PKG}-[0-9]*.src.rpm | head -1`

$(filter-out %.i686,$(oursrc)): %: setup
	PATH="/usr/kerberos/sbin:/usr/kerberos/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin" \
	rpmbuild ${rpmbuild_args} -bs ${tmp_specs}/${PKG}.spec
	/usr/bin/mock -r scripts-fc20-`uname -m` ${rpmbuild_args} -v --rebuild `ls -t ${out_srpms}/${PKG}-[0-9]*.src.rpm | head -1`

$(upstream) openafs-kernel: rpmbuild_args += --define 'scriptsversion $(shell svnversion ${patches} | tr ':' '_')'

kernel: rpmbuild_args += --define 'buildid .scripts.%{scriptsversion}' --without debug --without doc

$(filter %.i686,$(upstream)): %.i686: setup patch-specs
	rpmbuild ${rpmbuild_args} -bs ${tmp_specs}/${PKG}.spec
	/usr/bin/mock -r scripts-fc20-i386 --arch=i686 ${rpmbuild_args} -v --rebuild `ls -t ${out_srpms}/${PKG}-[0-9]*.src.rpm | head -1`

$(filter-out %.i686,$(upstream)): %: setup patch-specs
	rpmbuild ${rpmbuild_args} -bs ${tmp_specs}/${PKG}.spec
	/usr/bin/mock -r scripts-fc20-`uname -m` ${rpmbuild_args} -v --rebuild `ls -t ${out_srpms}/${PKG}-[0-9]*.src.rpm | head -1`

openafs-kernel: setup
	PATH="/usr/kerberos/sbin:/usr/kerberos/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin" \
	rpmbuild ${rpmbuild_args} -bs ${tmp_specs}/openafs*.spec
	/usr/bin/mock -r scripts-fc20-`uname -m` ${rpmbuild_args} -v --rebuild `ls -t ${out_srpms}/openafs*.src.rpm | head -1`

#sort -n sorts "2.6.25-1" later than "2.6.25.1-1", so it's Wrong
#kernvers = $(shell rpm -q --qf "%{Version}-%{Release}\n" --whatprovides kernel | sort -n | tail -n1)
kernvers = $(shell uname -r | sed "s/\(.*\)[.].*/\1/")
kvariants = ''
openafs_rpmbuild_args = --define "fedorakmod 1" --define "kvariants $(kvariants)" --define "kernvers $(kernvers)"
openafs: rpmbuild_args += $(openafs_rpmbuild_args) --define "build_userspace 1" --define "build_modules 0"
openafs-kernel: rpmbuild_args += $(openafs_rpmbuild_args) --define "build_userspace 0" --define "build_modules 1"

frob-openafs:
	@set -ex; \
	if [ ! -d "/etc/openafs/" ]; then \
	echo "/etc/openafs does not exist"; \
	exit 1; \
	else \
	ln -nfs /etc/openafs/* /usr/vice/etc/; \
	fi

fedora:
	make upstream
	rpm -ivh $(out_rpms)/`uname -m`/openafs-devel*.rpm
	make oursrc

=== packages/invirt-web/code/Makefile ===
all: kill chmod

chmod:
	chgrp -R invirt . 2>/dev/null || true
	chmod -R g+w . 2>/dev/null || true

kill:
	-pkill main.fcgi

=== packages/invirt-database/debian/changelog ===
invirt-database (0.2.2) unstable; urgency=low

  * Add builds table for storing build history.

 -- Evan Broder <broder@mit.edu>  Sun, 25 Oct 2009 18:45:23 -0400

invirt-database (0.2.1) unstable; urgency=low

  * Add an admins table.

 -- Evan Broder <broder@mit.edu>  Fri, 27 Feb 2009 20:24:27 -0500

invirt-database (0.2.0) unstable; urgency=low

  * Merge invirt-database-server into invirt-database.

 -- Evan Broder <broder@mit.edu>  Fri, 27 Feb 2009 19:38:55 -0500

invirt-database (0.1.9) unstable; urgency=low

  * Make get*Quotas idempotent
  * Move Owner import so that Owner can access session in
    invirt.database.models

 -- Quentin Smith <quentin@mit.edu>  Fri, 27 Feb 2009 14:17:53 -0500

invirt-database (0.1.8) unstable; urgency=low

  [Peter Iannucci]
  * Added Record superclass for models, handling __repr__ consistently.

  [Greg Price]
  invirt.database.record, .owner:
  * use self.c rather than self.__dict__ for SQLAlchemy fields
  * make Record._ignore, Owner.get* classmethods
  * fold FormattableRecord, NullableRecord into Record
  * shorten types in lists to __name__
  
  invirt-quota:
  * refactor code that sets values
  * print full help on no arguments

  all:
  * make EIBTI imports

  [ Quentin Smith ]
  * Add "reusable" column for nics, to avoid reusing addresses that are
    special in some way.

 -- Quentin Smith <quentin@mit.edu>  Fri, 27 Feb 2009 11:51:39 -0500

invirt-database (0.1.7) unstable; urgency=low

  * Disk quotas are measured in gibibytes.
  * Rename invirt-setquotas to invirt-quota.
  * Be explicit about units in invirt-quota.

 -- Evan Broder <broder@mit.edu>  Tue, 17 Feb 2009 04:29:20 -0500

invirt-database (0.1.6) unstable; urgency=low

  * Move invirt-setquotas into this package.
  * Don't explicitly initialize the values for each quota when creating a
    new Owner object.

 -- Evan Broder <broder@mit.edu>  Tue, 17 Feb 2009 03:44:20 -0500

invirt-database (0.1.5) unstable; urgency=low

  * Make the default values on the owners table explicit
    (Note: This is a NOOP, since a nullable field with no otherwise
    specified default defaults to NULL)

 -- Evan Broder <broder@mit.edu>  Tue, 17 Feb 2009 03:36:47 -0500

invirt-database (0.1.4) unstable; urgency=low

  * minor bug fix

 -- Peter A. Iannucci <iannucci@mit.edu>  Tue, 17 Feb 2009 02:59:14 -0500

invirt-database (0.1.3) unstable; urgency=low

  * Added owner table to database with ram, disk, and VM quotas
  * Refactored Owner class into separate sourcefile

 -- Peter A. Iannucci <iannucci@mit.edu>  Tue, 17 Feb 2009 01:31:53 -0500

invirt-database (0.1.2) unstable; urgency=low

  * Clean up the .egg-info directory from the right place.

 -- Evan Broder <broder@mit.edu>  Mon, 05 Jan 2009 23:50:47 -0500

invirt-database (0.1.1) unstable; urgency=low

  * Correct a lintian spelling warning.

 -- Evan Broder <broder@mit.edu>  Mon, 05 Jan 2009 23:40:44 -0500

invirt-database (0.1.0) unstable; urgency=low

  * Turn on lazy loading for all tables

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 21:57:35 -0500

invirt-database (0.0.6) unstable; urgency=low

  * Let machines.administrator be NULL

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 13:41:48 -0500

invirt-database (0.0.5) unstable; urgency=low

  * Add an architecture field to the autoinstaller table

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 12:18:02 -0500

invirt-database (0.0.3) unstable; urgency=low

  * Add attributes to the ORM objects to connect mirrors and cdroms

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 03:16:18 -0400

invirt-database (0.0.2) unstable; urgency=low

  * Export mirrors_table and Mirrors from invirt.database.models

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 03:04:54 -0400

invirt-database (0.0.1) unstable; urgency=low

  * sipb-xen-database-common -> invirt-database
  * sipb-xen-database-server -> invirt-database-server (a separate source package)
  * sipb-xen-database-client -> invirt-xen-config

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 19:22:46 -0400

sipb-xen-database (10.36.1) unstable; urgency=low

  * Typo in the new tables

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 15:01:47 -0400

sipb-xen-database (10.36) unstable; urgency=low

  * Kill the remnants of the sipb_xen_database package
  * Add the CDROM mirrors table

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 14:48:32 -0400

sipb-xen-database (10.35) unstable; urgency=low

  * Shorten initscript with spiffy new library from sipb-xen-base

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 07:25:56 -0400

sipb-xen-database (10.34) unstable; urgency=low

  * yet another new-sqlalchemy fix, this one post-0.4.2

 -- Greg Price <price@mit.edu>  Thu, 23 Oct 2008 23:02:46 -0400

sipb-xen-database (10.33) unstable; urgency=low

  * Catch calls to restart Postgres and translate them into a sequential
    stop, then start

 -- Evan Broder <broder@mit.edu>  Mon, 20 Oct 2008 13:05:29 -0400

sipb-xen-database (10.32) unstable; urgency=low

  * invirt.database.clear_cache should actually do something

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 02:02:37 -0400

sipb-xen-database (10.31) unstable; urgency=low

  * Database-managed VMs should never even think about bridging

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 01:46:45 -0400

sipb-xen-database (10.30.4) unstable; urgency=low

  * Fix a typo in the CDROM image path

 -- Evan Broder <broder@mit.edu>  Wed, 15 Oct 2008 13:21:10 -0400

sipb-xen-database (10.30.3) unstable; urgency=low

  * fix copy-paste errors in initscript: this is database, not console
  * fix "typo" in initscript for package name printed in logs

 -- Greg Price <price@mit.edu>  Sat, 11 Oct 2008 17:50:11 -0700

sipb-xen-database (10.30.2) unstable; urgency=low

  * Fix a typo in the CDROM lookup in sipb-database

 -- Evan Broder <broder@mit.edu>  Sat, 11 Oct 2008 19:17:05 -0400

sipb-xen-database (10.30.1) unstable; urgency=low

  * Don't strip quotes that won't be there



=== packages/xvm-authz-locker/debian/changelog ===
xvm-authz-locker (0.0.2) unstable; urgency=low

  * Install the authz module as invirt.authz, instead of xvm.authz.locker

 -- Evan Broder <broder@mit.edu>  Mon, 21 Dec 2009 16:24:05 -0600

xvm-authz-locker (0.0.1) unstable; urgency=low

  * Initial release.

 -- Evan Broder <broder@mit.edu>  Tue, 15 Dec 2009 19:09:02 -0500

=== packages/invirt-dev/debian/control ===
Source: invirt-dev
Section: servers
Priority: important
Maintainer: Invirt project <invirt@mit.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), python-all-dev, python-support, python-setuptools, python-debian, python-apt
Standards-Version: 3.7.2

Package: invirt-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg-dev-el, emacs21, reprepro, apache2, postfix, screen, dh-make, fakeroot, quilt, patchutils, config-package-dev, pbuilder, equivs, invirt-base, invirt-database, remctl-server, update-inetd, openbsd-inetd | inet-superserver
Description: Invirt build and apt server
 This packages the build scripts and apt-repository configuration for Invirt.

=== packages/invirt-vnc-client/debian/control ===
Source: invirt-vnc-client
Section: base
Priority: extra
Maintainer: Invirt project <invirt@mit.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0), quilt, sun-java6-jdk | java-compiler
Standards-Version: 3.7.2

Package: invirt-vnc-client
Architecture: all
Depends: ${misc:Depends}, java6-sdk, python, invirt-base
Description: Install the custom Invirt VNC client

=== packages/invirt-xen-config/debian/rules ===
#!/usr/bin/make -f

DEB_DIVERT_EXTENSION = .invirt

DEB_DIVERT_FILES_invirt-xen-config += \
	/etc/xen/qemu-ifup.invirt \
	/etc/xen/xend-config.sxp.invirt \
	/etc/apt/preferences.invirt

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/config-package.mk

common-build-indep:: debian/xend-config.sxp.invirt.mako

debian/xend-config.sxp.invirt.mako: $(call debian_check_files,/etc/xen/xend-config.sxp)
	debian/transform_xend-config.sxp.invirt.mako < $< > $@

clean::
	rm -f debian/xend-config.sxp.invirt.mako
